
/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * <struppi@struppi.name> wrote this file. As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return.
 * (c) 2014 Stefan Rupp
 * ----------------------------------------------------------------------------
 */

#include <avr/io.h>
#include "timer.h"
#include "lcd.h"
#include "rgbyteclock.h"
#include "spi.h"
#include "ledcontroller.h"

int main(void)
{
  
  timer_init();
  spi_slave_init();
  ledcontroller_init();
  lcd_init();

  rgbyteclock();
  // rgbyteclock() should never end, but who knows...
  while (1) { ; }

}
