#if !defined __TIMER_H
#define __TIMER_H

#include <inttypes.h>

void timer_wait(uint32_t delay);
uint32_t timer_get(void);
void timer_init(void);
void timer_decode(uint32_t time, uint8_t *hours, uint8_t *minutes, uint8_t *seconds, uint16_t *ms);
void timer_encode(uint32_t *time, uint8_t hour, uint8_t minute, uint8_t seconds, uint16_t ms);

#endif
