
/*
 * ----------------------------------------------------------------------------
 * "THE BEER-WARE LICENSE" (Revision 42):
 * <struppi@struppi.name> wrote this file. As long as you retain this notice you
 * can do whatever you want with this stuff. If we meet some day, and you think
 * this stuff is worth it, you can buy me a beer in return.
 * (c) 2014 Stefan Rupp
 * ----------------------------------------------------------------------------
 */


#ifndef LEDCONTROLLER_H
#define LEDCONTROLLER_H

#include <avr/io.h>
#include <compat/ina90.h>    // ==> _NOP()
#include "timer.h"


void ledcontroller_init(void);
void led_set(uint8_t lednum, uint16_t red, uint16_t green, uint16_t blue);
void led_flush(void);


#endif // LEDCONTROLLER_H

